# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.14.0 - 2021-08-06

### Changed
  - Update wadapps-rcommand to 3.1.0.
  - Update wadapps-rcommand-impl to version 1.2.0.

## 1.13.0 - 2021-08-05

### Changed
  - Update wadapps-rcommand-impl to version 1.1.0.

## 1.12.0 - 2021-08-05

### Changed
  - Update to rcommand-serversocket 2.5.0.

## 1.11.0 - 2021-08-03

### Changed
  - Update to Wadapps 1.11.0.
  - Update to Rcommand 2.10.0.

## 1.10.0 - 2019-08-30

### Fixed

  - Use default network callback to avoid multiple feedback.
  
### Changed

  - Use MMM

## 1.9.1 - 2018-05-07

### Fixed

  - P0095F-226: Added logging messages when installing signed applications, so that there's the same log output as when installing unsigned applications.
  - P0095F-226: Fixed log typos.    
  - Fixed changelog.

## 1.9.0 - 2018-04-30

Feature:

 - Dependency updated to fetch refactored `wadapps-rcommand` and `wadapps-rcommand-impl`.

## 1.8.1 - 2017-12-01

### Fixed

 - Command Server Socket fails to instantiate a fallback when connectivity manager service is not available in the firmware.

## 1.8.0 - 2017-10-13

### Added

 - Added command to set or get shared properties.
 - Use LauncherHelper's startAndShow method.
 - Add "run" and "show" commands to start and show applications.
 - Add commands to list activities and to show one of them.

## 1.7.6 - 2017-08-08

### Fixed

 - Any exception or error thrown in a lifecycle-related command should result in an error message.
 - Use a valid name for the internal storage of icons.

## 1.7.5 - 2017-07-08

### Fixed

 - Allow retrieval of metadata without the icon, by specifying a negative preferred size.

## 1.7.4 - 2017-07-06

### Fixed

 - Install commands should consume all bytes in the application binary stream

## 1.7.3 - 2017-06-23

### Fixed

 - Gets the icon corresponding to the preferred size.

## 1.7.2 - 2017-06-23

### Fixed

 - Close files.

## 1.7.1 - 2017-06-21

### Fixed

 - Register the previously added commands.

## 1.7.0 - 2017-06-20

### Added

    - Integrate new commands: InstallApplicationCommand, GetApplicationMetadataCommand and ListCommandCommand.

## 1.6.3 - 2017-05-30

### Fixed

    - Set the ServerSocket in reuse address mode, in case the app in stopped/started quickly.

## 1.6.2 - 2017-05-05

### Fixed

  - WI19687 Remove the factory reset command.

## 1.6.1 - 2017-05-12

### Fixed

  - Synchronize revisions between MANIFEST.MF and Ivy module.

## 1.6.0 - 2017-04-30

### Added

    - Implemented the new version of rcommand-connectivity that adds a method to retrieve a configuration information about the connectivity, e.g. in the form of an URL.

## 1.5.3 - 2017-04-20

### Fixed

  - Command Server Socket should have a fallback when connectivity manager service is not available in the firmware.

## 1.5.2 - 2017-04-12

### Fixed

  - Updated to use build-application v5.5.3 that actually does the LICENCE, README and CHANGELOG publication.

## 1.5.1 - 2017-014-12

### Fixed

  - Added missing configuration.

## 1.5.0 - 2017-03-08

### Added

  - WI 19256: Add applicationstore-connection-info support to the wadapps rcommand
  
### Fixed

  - WI 19292: InstallCommandWithMetadata fails to update an application

## 1.4.0 - 2017-02-10

### Added

  - WI 19046: API to see connectivity client connectivity on the commandserver.
  
### Fixed

  - WI 19045: ListCommandPlus is missing from the list of registered command in the command servers

## 1.3.0 - 2017-02-06

### Added

  - Added new commands to support installation from an off-board application that connects to the Store.
  - Renamed to commandserver instead of localserver.
  
### Fixed

  - WI 18901: The localserver-socket is taking 10 seconds to start listening for commands
  
## 1.2.1 - 2017-01-20

### Added

  - Fixed module.ivy to reflect changes in the firmware configurations. 

## 1.1.0 - 2017-01-15

### Added

  - Moved into "com.microej.app.wadapps#localserver-socket".

## 1.0.0 - 2016-04-11

### Added

  - Initial public revision.

---
_Copyright 2016-2021 MicroEJ Corp. All rights reserved._  
_MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms._  