/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */
package com.microej.demo.thermorest.model;

/**
 * A listener of a {@link ThermostatModel}.
 */
public interface ThermostatListener {

	/**
	 * Callback function when the target temperature is changed.
	 *
	 * @param newTarget
	 *            the new target value.
	 */
	void onTargetChange(float newTarget);

	/**
	 * Callback function when the temperature is changed.
	 *
	 * @param newTemperature
	 *            the new temperature value.
	 */
	void onTemperatureChange(float newTemperature);
}
