/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */
package com.microej.example.wifi.setup.rest.internal;

/**
 * Define the strings used for the application.
 */
public final class ApplicationStrings {

	/**
	 * The application JSON.
	 */
	public static final String APPLICATION_JSON = "application/json"; //$NON-NLS-1$

	/**
	 * The SSID key.
	 */
	public static final String SSID = "SSID"; //$NON-NLS-1$

	/**
	 * The channel.
	 */
	public static final String CHANNEL = "channel"; //$NON-NLS-1$
	/**
	 * The security mode.
	 */
	public static final String SECURITY = "securityMode"; //$NON-NLS-1$

	/**
	 * The RSSI.
	 */
	public static final String RSSI = "rssi"; //$NON-NLS-1$

	/**
	 * The BSSID.
	 */
	public static final String BSSID = "bssid"; //$NON-NLS-1$

	/**
	 * Busy.
	 */
	public static final String BUSY = "busy"; //$NON-NLS-1$

	/**
	 * Ready.
	 */
	public static final String READY = "ready"; //$NON-NLS-1$

	/**
	 * Joined.
	 */
	public static final String JOINED = "joined"; //$NON-NLS-1$

	/**
	 * Accesses.
	 */
	public static final String ACCESSES = "accesses"; //$NON-NLS-1$

	/**
	 * Status.
	 */
	public static final String STATUS = "status"; //$NON-NLS-1$

	/**
	 * UTF-8.
	 */
	public static final String UTF_8 = "UTF-8"; //$NON-NLS-1$

	/**
	 * Passphrase keyword.
	 */
	public static final String PASSPHRASE = "passphrase"; //$NON-NLS-1$

	/**
	 * "{\"Error\":\"Parameter ".
	 */
	public static final String ERROR_PARAMETER = "{\"Error\":\"Parameter "; //$NON-NLS-1$

	/**
	 * " is required.\"}".
	 */
	public static final String IS_REQUIRED = " is required.\"}"; //$NON-NLS-1$

	/**
	 * Starting server on.
	 */
	public static final String STARTING_SERVER = "Starting server on "; //$NON-NLS-1$

	/**
	 * EMPTY_OBJECT.
	 */
	public static final String EMPTY_OBJECT = "{}"; //$NON-NLS-1$

	/**
	 * EMPTY_ARRAY.
	 */
	public static final String EMPTY_ARRAY = "[]"; //$NON-NLS-1$

	private ApplicationStrings() {
		// Forbid instantiation.
	}
}
