/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

/**
 * Describe the possible events for a {@link Buttons} device.
 */
public interface ButtonEvent {

	/**
	 * The "pressed" action.
	 */
	int PRESSED = 0;
	/**
	 * The "released" action.
	 */
	int RELEASED = 1;
	/**
	 * The "long pressed" action (button pressed for a "long" time).
	 */
	int LONG_PRESSED = 2;

	/**
	 * The default action.
	 */
	int UNKNOWN = -1;
}
