/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;



/**
 * A switch that communicates its state.
 */
public class ThermostatProxy extends DeviceProxy<Thermostat> implements Thermostat {

	@Override
	public ThermostatMode[] getSupportedModes() {
		try {
			return (ThermostatMode[]) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public void setMode(ThermostatMode mode) {
		try {
			invoke();
		} catch (Throwable e) {
		}
	}

	@Override
	public ThermostatMode getLastknownMode() {
		try {
			return (ThermostatMode) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public void requestUpdate() {
		try {
			invoke();
		} catch (Throwable e) {
		}
	}


}
