/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.generator.impl;

import java.util.concurrent.Executor;

import ej.basedriver.MultilevelSensor;
import ej.basedriver.event.DeviceEventGenerator;
import ej.basedriver.event.MultilevelSensorEvent;
import ej.basedriver.event.impl.DefaultMultilevelSensorEvent;

public class MultilevelSensorEventGenerator extends DeviceEventGenerator<MultilevelSensor, MultilevelSensorEvent> {

	/**
	 * @param executor
	 */
	public MultilevelSensorEventGenerator(Executor executor) {
		super(executor);
	}

	/* (non-Javadoc)
	 * @see com.is2t.libraries.basedriver.util.EcomDeviceHandler#createEvent(ej.ecom.Device)
	 */
	@Override
	protected MultilevelSensorEvent createEvent(MultilevelSensor device) {
		return new DefaultMultilevelSensorEvent(device);
	}
}
