/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.components.dependencyinjection;

/**
 * Thrown when an error occur while loading a service.
 *
 * @see ServiceLoader#getService(Class, boolean)
 */
public class ServiceLoadingException extends RuntimeException {

	private static final long serialVersionUID = -4400917385298484484L;

	/**
	 * Constructs a new service loading exception with the specified detail message and cause.
	 * <p>
	 * Note that the detail message associated with {@code cause} is <i>not</i> automatically incorporated in this
	 * service loading exception's detail message.
	 *
	 * @param message
	 *            the detail message (which is saved for later retrieval by the {@link #getMessage()} method).
	 * @param cause
	 *            the cause (which is saved for later retrieval by the {@link #getCause()} method). (A <tt>null</tt>
	 *            value is permitted, and indicates that the cause is nonexistent or unknown.)
	 */
	public ServiceLoadingException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructs a new service loading exception with the specified cause and a detail message of {@code (cause==null ?
	 * null : cause.toString())} (which typically contains the class and detail message of the given cause).
	 *
	 * @param cause
	 *            the cause (which is saved for later retrieval by the {@link #getCause()} method). (A <tt>null</tt>
	 *            value is permitted, and indicates that the cause is nonexistent or unknown.)
	 */
	public ServiceLoadingException(Throwable cause) {
		super(cause);
	}

}
