/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.components.dependencyinjection;

/**
 * Service loader that retrieves services implementations using system properties.
 * 
 * @see AbstractServiceLoader
 * @see System#getProperty(String)
 */
public class SystemPropertiesServiceLoader extends AbstractServiceLoader {

	@Override
	protected String getImplementationName(String serviceName) {
		return System.getProperty(serviceName);
	}

}
