/*
 * Java
 *
 * Copyright 2013-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.components.registry;

import ej.components.ServiceRegistry;

/**
 * Defines bundles registry API.
 */
public interface BundleRegistry extends ServiceRegistry, BundleActivator {

	/**
	 * Stops the registry and all its environment and prepare it to be restarted.
	 */
	void reset();

	/**
	 * Gets the current state of the registry.
	 *
	 * @return the current state.
	 * @see BundleActivator.State
	 */
	State getCurrentState();

}
