/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.data;

import java.io.IOException;

import ej.kf.Proxy;

class DataReaderProxy extends Proxy<DataReader> implements DataReader{

	@Override
	public boolean hasMoreElements() throws IOException{
		try{ return invokeBoolean(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public boolean readBooleanValue() throws IOException{
		try{ return invokeBoolean(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public int readIntValue() throws IOException{
		try{ return invokeInt(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public long readLongValue() throws IOException{
		try{ return invokeLong(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public String readStringValue() throws IOException{
		try{ return (String)invokeRef(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public double readDoubleValue() throws IOException{
		try{ return invokeDouble(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public int readIntKey() throws IOException{
		try{ return invokeInt(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public String readStringKey() throws IOException{
		try{ return (String)invokeRef(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void readArrayValueStart() throws IOException{
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public void readArrayValueEnd() throws IOException{
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void readMapValueStart() throws IOException{
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
	@Override
	public void readMapValueEnd() throws IOException{
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void skipValue() throws IOException{
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
}
