/*
 * Copyright 2015 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.motion.quint;

import ej.bon.XMath;
import ej.motion.Motion;
import ej.motion.MotionManager;
import ej.motion.util.TossHelper;

/**
 * Motion manager creating ease in motions.
 */
public class QuintMotionManager implements MotionManager {

	@Override
	public Motion easeIn(int start, int stop, long duration) {
		return new QuintEaseInMotion(start, stop, duration);
	}

	@Override
	public Motion easeOut(int start, int stop, long duration) {
		return new QuintEaseOutMotion(start, stop, duration);
	}

	@Override
	public Motion easeInOut(int start, int stop, long duration) {
		return new QuintEaseInOutMotion(start, stop, duration);
	}

	@Override
	public Motion toss(int start, int min, int max, float initialSpeed, long duration) {
		int stop = TossHelper.computeExpectedStop(start, initialSpeed, duration);
		stop = XMath.limit(stop, min, max);
		return new QuintEaseOutMotion(start, stop, duration);
	}

}
