/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.background;

import ej.microui.display.GraphicsContext;
import ej.style.container.Rectangle;

/**
 * A transparent background.
 */
public final class NoBackground implements Background {

	/**
	 * No background singleton to avoid creating several ones.
	 */
	// assume that it is stateless
	public static final NoBackground NO_BACKGROUND = new NoBackground();

	private NoBackground() {
	}

	@Override
	public boolean isTransparent() {
		return true;
	}

	@Override
	public void apply(GraphicsContext g, Rectangle rectangle, int color) {
		// Nothing to do.
	}

	// Use default implementation of hashCode() and equals() since this is a singleton.

}
