/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.border;

import ej.microui.display.GraphicsContext;
import ej.style.container.Rectangle;

/**
 * A transparent border.
 */
public final class NoBorder implements Border {

	/**
	 * No border singleton to avoid creating several ones.
	 */
	// Assume that it is stateless.
	public static final NoBorder NO_BORDER = new NoBorder();

	private NoBorder() {
	}

	@Override
	public void wrap(Rectangle rectangle) {
		// Nothing to do.
	}

	@Override
	public void unwrap(Rectangle rectangle) {
		// Nothing to do.
	}

	@Override
	public void apply(GraphicsContext g, Rectangle rectangle, int color) {
		// Nothing to do.
	}

	// Use default implementation of hashCode() and equals() since this is a singleton.

}
