/*
 * Java
 *
 * Copyright 2018-2019 IS2T. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break IS2T warranties on the whole library.
 */
package ej.wadapps.monosandbox.util;

import ej.util.message.MessageLogger;
import ej.util.message.basic.BasicMessageBuilder;
import ej.util.message.basic.BasicMessageLogger;

/**
 * Provides a message logger to log all messages for Wadapps implementation without sandboxing.
 */
public class WadappsMonoSandboxMessage {

	/**
	 * Wadapps monosandbox message logger.
	 */
	public static final MessageLogger LOGGER = new BasicMessageLogger(new BasicMessageBuilder());

	/**
	 * Wadapps monosandbox message category.
	 */
	public static final String CATEGORY = "WadappsMonoSandbox"; //$NON-NLS-1$

	/**
	 * Error occurs when the framework calls user code.
	 */
	public static final int USER_ERROR = 0;

	private WadappsMonoSandboxMessage() {
	}

}
